version: '3.3'

services:
  db:
    image: postgres:11.5
    container_name: app_db
    restart: always
    env_file:
      - .env
    ports:
      - 5432:5432

  app_migration:
    container_name: app_migrations
    image: itdevelatt/app_tasks:${TAG}
    restart: on-failure
    command: ./manage.py migrate --no-input
    env_file:
      - .env
    environment:
      DB_HOST: db

  app:
    build:
      context: .
    container_name: app
    image: itdevelatt/app_tasks:${TAG}
    restart: always
    env_file:
      - .env
    ports:
      - 8000:8000